Loading...
Searching...
No Matches
indexaccess.hh File Reference
`#include <utility>`
`#include <type_traits>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/concept.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/functions/common/utility.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class C, class I, class F, std::enable_if_t< Dune::models< Imp::Concept::HasDynamicIndexAccess< I >, C >(), int > = 0>
auto | Dune::Functions::hybridIndexAccess (C &&c, const I &i, F &&f) -> decltype(f(c[i]))
| Provide operator[] index-access for containers.
template<class C, class I, class F, std::enable_if_t< not Dune::models< Imp::Concept::HasDynamicIndexAccess< I >, C >(), int > = 0>
decltype(auto) | Dune::Functions::hybridIndexAccess (C &&c, const I &i, F &&f)
| Provide operator[] index-access for containers.
template<class Result, class C, class MultiIndex>
Result | Dune::Functions::hybridMultiIndexAccess (C &&c, const MultiIndex &index)
| Provide multi-index access by chaining operator[].
template<class C, class MultiIndex, class IsFinal>
constexpr decltype(auto) | Dune::Functions::resolveDynamicMultiIndex (C &&c, const MultiIndex &multiIndex, const IsFinal &isFinal)
| Provide multi-index access by chaining operator[].
template<class C, class MultiIndex>
constexpr decltype(auto) | Dune::Functions::resolveDynamicMultiIndex (C &&c, const MultiIndex &multiIndex)
| Provide multi-index access by chaining operator[].
template<class C, class MultiIndex>
constexpr decltype(auto) | Dune::Functions::resolveStaticMultiIndex (C &&c, const MultiIndex &multiIndex)
| Provide multi-index access by chaining operator[].